ALTER TABLE INSURANCE_TYPE
ADD ACCESS_CONTROL VARCHAR2(1 CHAR);

ALTER TABLE INSURANCE
DROP COLUMN ACCESS_CONTROL;

ALTER TABLE CONTRACT_EXTENSION_RULE
ADD DISCOUNT NUMBER;

ALTER TABLE CONTRACT_EXTENSION_RULE
ADD DISCOUNT_PURPOSE NUMBER;

ALTER TABLE CONTRACT_EXTENSION_RULE
ADD AUTO_CREATE_METHOD VARCHAR2(30 CHAR);

ALTER TABLE ACCESS_DATA
ADD NNLOCATION_ID NUMBER;

DROP VIEW V_ACCESS_DATA;

CREATE OR REPLACE VIEW V_ACCESS_DATA AS (
  SELECT AD.ID_ACCESS_DATA, AD.NCARD, AD.ID_ACCESS_GROUP, AD.DATE_FROM, AD.DATE_TO, AD.NOTE, AD.ACTIVE, AD.DATE_CREATED, AD.USER_CREATED, AD.DATE_CHANGED, AD.USER_CHANGED, AD.NNLOCATION_ID,
  K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, NC.SERIALNUMBER AS CARD_NUMBER, AG.CODE AS ACCESS_GROUP_CODE, AG.DESCRIPTION AS ACCESS_GROUP_DESCRIPTION
  FROM ACCESS_DATA AD
  LEFT OUTER JOIN ACCESS_GROUP AG ON AG.ID_ACCESS_GROUP = AD.ID_ACCESS_GROUP
  LEFT OUTER JOIN NCARD NC ON NC.NCARD = AD.NCARD
  LEFT OUTER JOIN KUPCI K ON K.ID = NC.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1613, SYSDATE, '5.5', 1533, 'Access')
;