CREATE TABLE USER_AREA (
  ID_USER_AREA NUMBER NOT NULL,
  USER_CODE VARCHAR2(20 CHAR) NOT NULL,
  AREA_CODE VARCHAR2(10 CHAR) NOT NULL,
  CONSTRAINT USER_AREA_PK PRIMARY KEY (ID_USER_AREA),
  CONSTRAINT USER_AREA_USER_CODE_FK FOREIGN KEY (USER_CODE) REFERENCES NUSER(NUSER),
  CONSTRAINT USER_AREA_AREA_CODE_FK FOREIGN KEY (AREA_CODE) REFERENCES NNOBJEKT(SIFRA)
);

CREATE INDEX IX_USER_AREA_USER_CODE ON USER_AREA (USER_CODE);
CREATE INDEX IX_USER_AREA_AREA_CODE ON USER_AREA (AREA_CODE);

CREATE SEQUENCE USER_AREA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE NUSER
ADD AREA_CODE VARCHAR2(10 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1841, SYSDATE, '5.5', 1761, 'User area')
;
