ALTER TABLE LONG_OPERATION
  ADD DESCRIPTION VARCHAR2(250 CHAR)
;

DROP VIEW V_LONG_OPERATION;

CREATE OR REPLACE VIEW V_LONG_OPERATION AS (
  SELECT L.ID_LONG_OPERATION, L.TYPE, L.USER_CREATED, L.DATE_CREATED, L.DATE_STARTED, L.DATE_ENDED, L.STATUS, L.EXECUTION_COUNTER, L.NUMBER_OF_EXECUTIONS, L.ID_BATCH,
  LOT.DESCRIPTION AS TYPE_DESCRIPTION, LOT.INTERNAL_DESCRIPTION AS TYPE_INTERNAL_DESCRIPTION, L.DESCRIPTION
	FROM LONG_OPERATION L
  LEFT OUTER JOIN LONG_OPERATION_TYPE LOT ON LOT.CODE = L.TYPE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2079, SYSDATE, '5.5', 1999, 'Long_operation')
;
